using MasaBlazorApp3.Pojo;
using MasaBlazorApp3.Pojo.Vo;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MasaBlazorApp3.DataAccess.Dao
{
    public interface IInOutInvoiceDao
    {
        Task<PageData<InOutInvoice>> GetAllInvoiceByType(string invoiceNo, DateTime invoiceDate, int? take, int? skip, int type);

        Task<List<InvoiceVo>> getTakeInfoByInvoiceNo(string invoiceNo);
        Task<List<InvoiceVo>> getAddInfoByInvoiceNo(string invoiceNo);

        Task<bool> InvoiceOutFinish(List<InvoiceVo> data);


        Task<bool> InvoiceAddFinish(List<InvoiceVo> data);
    }
}
